Airwallex logo
Airwallex logoAirwallex logo

Wallet TransfersBeta

Copy for LLMView as Markdown

A wallet transfer resource is used for sending funds directly from your Airwallex account to a beneficiary's Airwallex account. The beneficiary's Airwallex account is identified by its account number.

Endpoints
GET /api/v1/wallet_transfers
GET /api/v1/wallet_transfers/{wallet_transfer_id}
POST /api/v1/wallet_transfers/create

Get list of wallet transfers

GET /api/v1/wallet_transfers

Get list of wallet transfers, using any combination of optional queryable parameters below. You may specify none, one of, or both from_created_at or to_created_at parameters. If none of these parameters are specified, results for the last 30 days will be returned. If only one of these parameters are specified, we will assume a 30-day range to calculate the other. The wallet transfers are returned in descending order, with the most recent transactions appearing first.

Parameters
from_created_atstring

The start date of created_at in ISO8601 format (inclusive)

pagestring

A bookmark for use in pagination to retrieve either the next page or the previous page of results. You can fetch the value for this identifier from the response of the previous API call. To retrieve the next page of results, pass the value of page_after (if not null) from the response to a subsequent call. To retrieve the previous page of results, pass the value of page_before (if not null) from the response to a subsequent call. The 30-day limit will be removed if page is present in the request. Passing page=0 on the very first page will override the 30 days default for null date ranges, enabling a complete search of the wallet transfers.

page_sizeinteger

Number of results per page, defaultValue 2000

request_idstring

Wallet transfer request_id

short_reference_idstring

Wallet transfer short_reference_id

statusstring

The wallet transfer status.

to_created_atstring

The end date of created_at in ISO8601 format (inclusive)

transfer_currencystring

Transfer currency, i.e. the currency that the beneficiary receives (3-letter ISO-4217 code).

Response body - 200 OK
itemsarray

Paged results.

items.beneficiaryobject

Details of the beneficiary.

items.beneficiary.account_numberstring

A proxy unique identifier consists of 16 digits to represent an Airwallex account.

items.beneficiary.account_namestring

The business name of an Airwallex account.

items.created_atstring

The date time in ISO8601 format when this wallet transfer was created

items.reasonstring

Reason for the wallet transfer instruction.

items.referencestring

User specified reference that will be displayed to the beneficiary. 1-140 characters long

items.request_idstring

A unique request identifier specified in the wallet transfer request.

items.short_reference_idstring

Short wallet transfer reference for support purposes.

items.statusstring

The wallet transfer status. One of: CREATED, PROCESSING, SENT, SETTLED, FAILED

items.transfer_amountstring

Transfer amount, i.e. the amount that the beneficiary receives in transfer_currency.

items.transfer_currencystring

Transfer currency, i.e. the currency that the beneficiary receives (3-letter ISO-4217 code).

items.wallet_transfer_idstring

Unique identifier for the wallet transfer.

items.settled_atstring

The date time in ISO8601 format when this wallet transfer was settled

page_afterstring

The page cursor used for searching after page

page_beforestring

The page cursor used for search before page

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/wallet_transfers
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/wallet_transfers' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 {
4 "beneficiary": {
5 "account_number": "4521908077956712"
6 },
7 "created_at": "2022-10-31T14:00:01+0000",
8 "request_id": "CREATE-79d22199-bd62-40d2-85c9-8dd9bbd29988",
9 "settled_at": "2022-10-31T14:00:01+0000",
10 "short_reference_id": "T221031-F90Q51A",
11 "status": "SETTLED",
12 "transfer_amount": "234.1",
13 "transfer_currency": "USD",
14 "wallet_transfer_id": "56aba84c-b92c-4f57-8aab-88f5b85b370c"
15 }
16 ],
17 "page_after": "<string>",
18 "page_before": "<string>"
19}
Was this section helpful?

Get a wallet transfer with transfer ID

GET /api/v1/wallet_transfers/{wallet_transfer_id}

Get a specific wallet transfer by specifying the Airwallex wallet_transfer_id.

Parameters
wallet_transfer_idrequiredstring

Unique identifier to retrieve the wallet transfer.

Response body - 200 OK
beneficiaryobject

Details of the beneficiary.

beneficiary.account_numberstring

A proxy unique identifier consists of 16 digits to represent an Airwallex account.

beneficiary.account_namestring

The business name of an Airwallex account.

created_atstring

The date time in ISO8601 format when this wallet transfer was created

reasonstring

Reason for the wallet transfer instruction.

referencestring

User specified reference that will be displayed to the beneficiary. 1-140 characters long

request_idstring

A unique request identifier specified in the wallet transfer request.

settled_atstring

The date time in ISO8601 format when this wallet transfer was settled

short_reference_idstring

Short wallet transfer reference for support purposes.

statusstring

The wallet transfer status. One of: CREATED, PROCESSING, SENT, SETTLED, FAILED

transfer_amountstring

Transfer amount, i.e. the amount that the beneficiary receives in transfer_currency.

transfer_currencystring

Transfer currency, i.e. the currency that the beneficiary receives (3-letter ISO-4217 code).

wallet_transfer_idstring

Unique identifier for the wallet transfer.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/wallet_transfers/{wallet_transfer_id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/wallet_transfers/wallet_transfer_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "beneficiary": {
3 "account_name": "<string>",
4 "account_number": "4521908077956712"
5 },
6 "created_at": "2022-10-31T14:00:01+0000",
7 "reason": "<string>",
8 "reference": "<string>",
9 "request_id": "CREATE-79d22199-bd62-40d2-85c9-8dd9bbd29988",
10 "settled_at": "2022-10-31T14:00:01+0000",
11 "short_reference_id": "T221031-F90Q51A",
12 "status": "SETTLED",
13 "transfer_amount": "234.1",
14 "transfer_currency": "USD",
15 "wallet_transfer_id": "56aba84c-b92c-4f57-8aab-88f5b85b370c"
16}
Was this section helpful?

Create a new wallet transfer

POST /api/v1/wallet_transfers/create

Create a new wallet transfer to send funds from your Airwallex account to another Airwallex account.

Approvals

Creating a wallet transfer to be submitted for approval is not supported.

Request body
beneficiaryrequiredobject

Details of the beneficiary.

beneficiary.account_numberrequiredstring

A proxy unique identifier consists of 16 digits to represent an Airwallex account.

beneficiary.account_namestring

The business name of an Airwallex account. When provided, account verification will be performed, and an error will be returned if the account number and account name mismatches.

reasonrequiredstring

Reason for the wallet transfer instruction. One of: wages_salary, donation_charitable_contribution, personal_remittance, transfer_to_own_account, pension, family_support, living_expenses, education_training, travel, investment_proceeds, investment_capital, loan_credit_repayment, taxes, goods_purchased, business_expenses, medical_services, professional_business_services, technical_services, other_services, construction, freight, real_estate

referencerequiredstring

User specified reference that will be displayed to the beneficiary. 1-140 characters long

request_idrequiredstring

A unique request identifier specified by the client. Wallet transfer creation requests with the same request_id are treated as duplicated request and cannot be processed. When you are not sure about the outcome of a wallet transfer creation request, e.g. when there are network issues or system failures such as timeout, you can try to get a wallet transfer with this request_id to find out.

transfer_amountrequiredstring

Transfer amount, i.e. the amount that the beneficiary receives in transfer_currency.

transfer_currencyrequiredstring

Transfer currency, i.e. the currency that the beneficiary receives (3-letter ISO-4217 code).

Response body - 200 OK
beneficiaryobject

Details of the beneficiary.

beneficiary.account_numberstring

A proxy unique identifier consists of 16 digits to represent an Airwallex account.

beneficiary.account_namestring

The business name of an Airwallex account.

created_atstring

The date time in ISO8601 format when this wallet transfer was created

reasonstring

Reason for the wallet transfer instruction.

referencestring

User specified reference that will be displayed to the beneficiary. 1-140 characters long

request_idstring

A unique request identifier specified in the wallet transfer request.

settled_atstring

The date time in ISO8601 format when this wallet transfer was settled

short_reference_idstring

Short wallet transfer reference for support purposes.

statusstring

The wallet transfer status. One of: CREATED, PROCESSING, SENT, SETTLED, FAILED

transfer_amountstring

Transfer amount, i.e. the amount that the beneficiary receives in transfer_currency.

transfer_currencystring

Transfer currency, i.e. the currency that the beneficiary receives (3-letter ISO-4217 code).

wallet_transfer_idstring

Unique identifier for the wallet transfer.

Errors
Error statusDescription
400

Possible errors: request_id_duplicate, transfer_currency_unsupported, balance_insufficient, beneficiary_unavailable, validation_failed

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/wallet_transfers/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/wallet_transfers/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "beneficiary": {
> "account_name": "<string>",
> "account_number": "4521908077956712"
> },
> "reason": "travel",
> "reference": "<string>",
> "request_id": "CREATE-79d22199-bd62-40d2-85c9-8dd9bbd29988",
> "transfer_amount": "234.1",
> "transfer_currency": "USD"
>}'
Response (200 OK)
1{
2 "beneficiary": {
3 "account_name": "<string>",
4 "account_number": "4521908077956712"
5 },
6 "created_at": "2022-10-31T14:00:01+0000",
7 "reason": "<string>",
8 "reference": "<string>",
9 "request_id": "CREATE-79d22199-bd62-40d2-85c9-8dd9bbd29988",
10 "settled_at": "2022-10-31T14:00:01+0000",
11 "short_reference_id": "T221031-F90Q51A",
12 "status": "SETTLED",
13 "transfer_amount": "234.1",
14 "transfer_currency": "USD",
15 "wallet_transfer_id": "56aba84c-b92c-4f57-8aab-88f5b85b370c"
16}
Was this section helpful?